Mumble

From RBOSE
Jump to: navigation, search
Mumble.png

Mumble is a free, open-source, cross-platform voice over IP low-latency, high-quality voice communication tool. It has great options and performance like very low latency, denoising of audio, automatic volume control, echo cancelation, connection and speech encryption, compression / quality control within the client and a lot more... It uses a client-server architecture where users who want to talk connect to the same server [1], and it uses Celt and Speex as the codecs.

Localization Server ID / IP Port Max users Required client version
Sweden mumble.rbose.org 64738 500 1.2.0+

On RBOSE IRC you can get information how connect to our new Mumble server

Installation

Linux

Debian

As root:

aptitude install mumble


Gentoo

Just type in your console:

emerge -avt mumble


Trisquel

On newer distros you can find Mumble 1.2 in the main trisquel repo. Simply type the following command in a terminal window:

Taranis 4.0 & 4.5

sudo apt-get install mumble

PPA Install

See the Ubuntu PPA Install Instructions. On point 3., replace "jaunty" with "lucid", if you use Taranis.

And/or use the Mumble Developer Snapshots.


Ubuntu

On newer distros you can find Mumble 1.2 in the main ubuntu repo. Simply type the following command in a terminal window:

Ubuntu 10.04-11.04

sudo apt-get install mumble

Karmic Koala (9.10)

Install by the PPA:

sudo add-apt-repository ppa:slicer/ppa; \
sudo apt-get update && sudo apt-get upgrade; sudo aptitude install mumble

PPA Install

You can install mumble or update to a newer version, on Ubuntu Jaunty Jackalope (9.04), Karmic Koala (see above), Lucid Lynx, by using the PPA of the main developer of mumble.

Do the following steps:

1. PGP key import:

sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 165B2836

2. Open Sources.list in gedit:

gksudo gedit /etc/apt/sources.list

3. Add those 2 lines in the file (example is jaunty, replace jaunty with your version):

deb http://ppa.launchpad.net/slicer/ppa/ubuntu jaunty main 
deb-src http://ppa.launchpad.net/slicer/ppa/ubuntu jaunty main 

4. Now do an update and install:

sudo apt-get update; sudo apt-get upgrade; sudo apt-get install mumble


Dev Snapshots

You can get the latest developer snapshots for *buntu 9.10-11.04 at https://launchpad.net/~mumble/+archive/snapshot

To add this repo, download and install Mumble, type:

sudo add-apt-repository ppa:mumble/snapshot; \
sudo apt-get update && sudo apt-get upgrade; sudo aptitude install mumble

Mobile

Android

Finally there is a working Android client for Mumble

Tested phones (Working)

  • HTC Desire (All new updates as of 06.10.2010)
    • OS: Android 2.2
    • Baseband: 32.44.00.32U_5.09.05.30_2
    • Kernel: 2.6.32.15-gf9c0527 htc-kernel@and18-2 #1
    • Build: 2.09.405.8 CL218634 release-keys
    • Software number: 2.09.405.8

Tested phones (Not working)


Windows, Mac and others

To join the server simply download mumble from this website (Windows, Mac, or compile it on your own)


Configuration

After you open up the program the first time an assistant will guide you through the calibration of the software. Then you can add a custom server with the hostname.


Register Your Nick

Your nick can be easily registered since the 1.2.0 version. After you made a certificate (with the cert wizard) you just have to connect and click with the right mouse click on your nick and choose register. Your certificate is linked then to your nick, and replaces a password.


Problems / solutions

  • P: Server connection failed: The remote host closed the connection
  • S: Make sure that you are running the latest version of mumble

If you are having problems, visit us in the #mumble channel of RBOSE IRC, we may help you :)

The official mumble IRC channel you can find at freenode.


See also


External Links


Logs

Slide displayed within Mumble and produced with Mumble Presentation Maker. The mumble's channels and users list has been resized to reduce size of the image.


Cite error: <ref> tags exist, but no <references/> tag was found